Subject: Re: bug#18411: new coredump

From: Joseph Mingrone <[email-masked]>
Date: Sun, 13 Sep 2015 13:27:33 -0300

Joseph Mingrone <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:

>> Joseph Mingrone wrote:

>>> I've included information from a second core dump in case it's helpful.
>>> I did run the xbacktrace, but it just reported the same information at
>>> the end under "Lisp Backtrace:".

>>> In this case I wasn't immediately aware of the coredump, so I'm not
>>> sure if it happened with a C-x C-c.

>>> http://slexy.org/view/s20zQtacZ9

>> Also available at http://debbugs.gnu.org/18411#23,
>> but the message was too big for the bug-gnu-emacs mailing list.
>> Please send large backtraces etc as compressed attachments in future.

> Will do.  Thanks.

Is there any other information I can provide?  I have new core files.

Joseph

jrm@gly /var/crash % l
total 831M
drwxrwx---   2 root           wheel       7 2015-09-13 02:09 .
drwxr-xr-x  25 root           wheel      25 2015-08-15 01:26 ..
-rw-------   1 jrm            wheel    128M 2015-08-30 00:49 emacs-24.5.core.1001.0
-rw-------   1 jrm            wheel    132M 2015-08-31 10:56 emacs-24.5.core.1001.1
-rw-------   1 jrm            wheel    134M 2015-09-04 21:29 emacs-24.5.core.1001.2
-rw-------   1 jrm            wheel    180M 2015-09-09 14:55 emacs-24.5.core.1001.3
-rw-------   1 jrm            wheel    257M 2015-09-13 02:09 emacs-24.5.core.1001.4

jrm@gly /var/crash % gdb /usr/local/bin/emacs emacs-24.5.core.1001.2
GNU gdb (GDB) 7.9.1 [GDB v7.9.1 for FreeBSD]
Copyright (C) 2015 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-portbld-freebsd10.1".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/local/bin/emacs...(no debugging symbols found)...done.
[New process 101168]
[New process 100666]

warning: .dynamic section for "/usr/local/lib/libgraphite2.so.3" is not at the expected address (wrong library or version mismatch?)
[New Thread c66c00 (LWP 100666)]
[New Thread 1424400 (LWP 101168)]
Core was generated by `emacs-24.5'.
Program terminated with signal SIGABRT, Aborted.
#0  0x0000000032623d2a in thr_kill () from /lib/libc.so.7
(gdb) bt
#0  0x0000000032623d2a in thr_kill () from /lib/libc.so.7
#1  0x0000000032623c96 in raise () from /lib/libc.so.7
#2  0x00000000004e2fe9 in ?? ()
#3  0x000000000050199e in ?? ()
#4  0x0000000000500363 in ?? ()
#5  0x000000002fc429aa in ?? () from /lib/libthr.so.3
#6  0x000000002fc421a8 in ?? () from /lib/libthr.so.3
#7  <signal handler called>
#8  0x0000000032623d2a in thr_kill () from /lib/libc.so.7
#9  0x0000000032623c96 in raise () from /lib/libc.so.7
#10 0x0000000032622489 in abort () from /lib/libc.so.7
#11 0x0000000032603e11 in __assert () from /lib/libc.so.7
#12 0x000000002e2f4952 in append_pending_request () from /usr/local/lib/libX11.so.6
#13 0x000000002e2f4cca in _XReply () from /usr/local/lib/libX11.so.6
#14 0x000000002e2f0e67 in XSync () from /usr/local/lib/libX11.so.6
#15 0x00000000004c2731 in ?? ()
#16 0x00000000004d9fe4 in ?? ()
#17 0x00000000004ee2d3 in ?? ()
#18 0x00000000004eb9ef in ?? ()
#19 0x00000000004e9dc9 in ?? ()
#20 0x00000000004e79fd in ?? ()
#21 0x00000000004e71be in ?? ()
#22 0x000000000055d81d in ?? ()
#23 0x00000000004f6c36 in ?? ()
#24 0x000000000055d222 in ?? ()
#25 0x00000000004e5699 in ?? ()
#26 0x00000000004e57cf in ?? ()
#27 0x00000000004e45ff in ?? ()
#28 0x0000000000410c8f in ?? ()
#29 0x000000002c453000 in ?? ()
#30 0x0000000000000000 in ?? ()
(gdb)